Commit 3b6e9309 authored by sajolida's avatar sajolida

Finish release notes

parent 445bff1f
......@@ -13,34 +13,68 @@ vulnerabilities|security/Numerous_security_holes_in_3.13.1]]. You should upgrade
# Changes
## Upgrades and changes
<a id="noscript"></a>
- Update *Tor Browser* to 8.0.9.
## Fixed *NoScript* activation in *Tor Browser*
XXX: Check if there's a new blog post upstream.
Starting from Friday May 3, a problem in *Firefox* and *Tor Browser*
disabled all add-ons. This release reactivates all add-ons in *Tor
Browser*, especially *NoScript* which is used to:
Starting from Friday May 3, a problem in *Firefox* and *Tor Browser*
disabled all add-ons.
- Most importantly, protect against a very strong fingerprinting
technique called *HTML5 canvas fingerprinting* which can break your
anonymity.
This release fixes the activation of add-ons in *Tor Browser*,
especially the *NoScript* add-on which is used to:
Using HTML5 canvas fingerprinting, 2 or more collaborating websites
can compare how graphics and text are displayed by your computer and
determine whether 2 website visits are coming from the same computer
or not.
- Most importantly, protect against a very strong fingerprinting
technique called *HTML5 canvas fingerprinting* which can break your
anonymity.
- Strengthen *Tor Browser* against some JavaScript attacks that can lead
to compromised accounts and credentials on websites.
Using HTML5 canvas fingerprinting, 2 or more collaborating websites
can compare how graphics and text are displayed by your computer to
determine whether 2 website visits are coming from the same
computer.
- Enable or disable JavaScript on some websites using the *NoScript*
interface, if you use it.
- Strengthen *Tor Browser* against some JavaScript attacks that can
lead to compromised accounts and credentials on websites.
<div class="caution">
- Enable or disable JavaScript on some websites using the NoScript
interface, if you use it.
<p>This issue still affects <em>Tor Browser</em> when it is restarted.</p>
XXX: Create ticket
</div>
If *NoScript* is activated, the *NoScript* icon appears in the top-left corner
and *Tor Browser* is safe:
[[!img with-noscript.png alt="" link="no"]]
If *NoScript* is deactivated, the *NoScript* icon is absent from the top-left corner and *Tor Browser* is unsafe:
[[!img without-noscript.png alt="" link="no"]]
To reactivate *NoScript* without restarting Tails, do the following:
1. Open the address <span class="command">about:config</span> in *Tor
Browser*.
[[!img about-config.png link="no"]]
1. Click the **I accept the risk!** button.
1. At the top of the page, search for
<span class="command">xpinstall.signatures.required</span>.
1. Double-click on the **xpinstall.signatures.required** line in the
results to set its value to **false**.
1. Verify that *NoScript* is activated again.
[[!img xpinstall-false.png link="no"]]
XXX: Copy to security/noscript_disabled_in_tor_browser.mdwn
## Other upgrades and changes
<a id="openpgp-applet"></a>
- Remove the *OpenPGP Applet* and *Pidgin* notification icons from the top
navigation bar.
......@@ -50,23 +84,21 @@ vulnerabilities|security/Numerous_security_holes_in_3.13.1]]. You should upgrade
You can still access the *OpenPGP Applet* and *Pidgin* notification icons
from the system tray in the bottom-left corner of the screen.
To display the system tray, move your mouse to the thin gray line on the of
the window list in the bottom-left of the screen:
To display the system tray, move your mouse to the thin gray line in
the bottom-left of the screen, above the window list:
[[!img system-tray-folded.png class="margin" link="no"]] [[!img system-tray-unfolded.png class="margin" link="no"]]
[[!img system-tray-folded.png class="right-margin" link="no"]] [[!img system-tray-unfolded.png link="no"]]
To move these icons back to the top navigation bar, you can execute the
To move these icons back to the top navigation bar, execute the
following command in a *Terminal*:
<p class="pre command">gnome-shell-extension-tool --enable-extension=TopIcons@phocean.net</p>
Until now, these icons were display in the top navigation bar by the
Until now, these icons were displayed in the top navigation bar by the
*TopIcons* GNOME extension. This extension is unmaintained, causes GNOME to
crash ([[!tails_ticket 11188]]), and will not work in Tails 5.0 based on
Debian 11 (Bullseye).
XXX: Tell the help desk what to do
- Install localization packages only for the following languages:
- Arabic
......@@ -99,16 +131,14 @@ vulnerabilities|security/Numerous_security_holes_in_3.13.1]]. You should upgrade
your language. For example, <span class="command-placeholder">es</span> for
Spanish.
XXX: Create ticket
- Add a suspend button to the system menu.
XXX: Add screenshot
[[!img doc/first_steps/introduction_to_gnome_and_the_tails_desktop/system.png link="no"]]
- Add shutdown and restart buttons to the system menu when the screen is
- Add suspend, restart, and shutdown buttons to the system menu when the screen is
locked.
XXX: Add screenshot
[[!img suspend-and-shutdown-while-locked.png link="no"]]
- Replace all non-Latin fonts with the [[!wikipedia Noto_fonts
desc="Noto fonts family"]].
......@@ -122,11 +152,11 @@ vulnerabilities|security/Numerous_security_holes_in_3.13.1]]. You should upgrade
- Fix the automatic configuration of new email accounts in *Thunderbird*.
([[!tails_ticket 16573]])
- Fix Tails shutting down when waking up from suspend on some computers.
- Prevent Tails from shutting down when waking up from suspend on some computers.
([[!tails_ticket 11729]])
- Fix the import of the [[Tails signing key|tails-signing.key]] in the
*Passwords and Keys* utility.
*Passwords and Keys* utility. ([[!tails_ticket #15213]])
- Don't show notifications about *TailsData* when configuring a persistent
volume. ([[!tails_ticket 16632]])
......@@ -184,11 +214,7 @@ See the list of [[long-standing issues|support/known_issues]].
## To upgrade your Tails USB stick and keep your persistent storage
- Automatic upgrades are available from 3.12.1, 3.13, and 3.13.1 to 3.13.2.
XXX: Check which IUK will be available with:
git diff origin/master...origin/web/release-$VERSION wiki/src/upgrade/v1/Tails | grep "to_$VERSION"
- Automatic upgrades are available from 3.12, 3.12.1, 3.13, and 3.13.1 to 3.13.2.
- If you cannot do an automatic upgrade or if Tails fails to start after an
automatic upgrade, please try to do a [[manual upgrade|upgrade]].
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment